Subject: Re: GCC Compile Farm News: 12 architectures now available
From: Laurent GUERBY <[email-masked]>
To: Gerald Pfeifer <[email-masked]>
Cc: Richard Guenther <[email-masked]>, gcc <[email-masked]>
Date: Mon, 06 Apr 2009 23:22:31 +0200
List-Id: <gcc.gcc.gnu.org>

On Mon, 2009-04-06 at 23:10 +0200, Gerald Pfeifer wrote:
> Hi Laurent,
> 
> On Wed, 4 Mar 2009, Laurent GUERBY wrote:
> > On Wed, 2009-03-04 at 13:24 +0100, Richard Guenther wrote:
> >> On the above list, what are the target triples that are available?  Do 
> >> they match what we have in our list of primary and secondary targets 
> >> (see http://gcc.gnu.org/gcc-4.4/criteria.html)?
> > We have only variants of Linux as OS for now, so these
> > match but not the rest.
> > 
> > For i386-unknown-freebsd I could set up one, it seems that Gerald
> > Pfeifer has a tester already spamming gcc-testresult :).
> 
> sadly, nobody has sent me his credit card or account information
> yet; I guess I need to add some testcases for blue pills or such. :)
> 
> Seriously, I think it would be great to also have a FreeBSD tester
> on the Compile Farm, once because that'll allow access by others, and
> secondly because my tester may fail (and in fact that has happened a
> few days ago and while I managed to get it up and running again, it
> would be really comforting to have a backup).  If you need some help
> administrating such a machine, I may be able to provide some help.

In facy I just started yesterday the effort to get physical
i686-net/open/freeBSD machines in the compile farm:

http://gcc.gnu.org/bugzilla/show_bug.cgi?id=39625
<<
I've found machines and hosting to add i686 free/net/openBSD to the
compile farm, they should be online in the coming weeks, this allow
smoother GCC development and testing on these platforms.
>>

Your admin expertise will certainly be helpful, thanks!

Note to gcc@ readers: if you're in Paris (France), know how to install
any of free/net/openBSD (on a bi-pentium3 Dell poweredge 1550 machine if
that matters) or know someone in Paris who could do that please contact
me privately that will speed up the process.

Laurent